For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Connect
BlogHelp CenterAPI PricingSign up
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
OverviewElevenCreativeElevenAgentsElevenAPIReception AIAPI referenceChangelog
  • API reference
    • Introduction
    • Authentication
    • Streaming
  • ElevenAgents
  • ElevenAPI
      • POSTCreate a pronunciation dictionary from a file
      • POSTCreate a pronunciation dictionary from rules
      • GETGet pronunciation dictionary
      • PATCHUpdate Pronunciation Dictionary
      • GETGet pronunciation dictionary by version
      • GETList pronunciation dictionaries
        • POSTSet pronunciation dictionary rules
        • POSTAdd pronunciation dictionary rules
        • POSTRemove pronunciation dictionary rules
  • ElevenCreative
  • Core Resources
  • Workspace
  • Legacy
LogoLogo
Login
Login
Connect
BlogHelp CenterAPI PricingSign up
ElevenAPIPronunciation DictionariesRules

Remove pronunciation dictionary rules

POST
/v1/pronunciation-dictionaries/:pronunciation_dictionary_id/remove-rules
POST
/v1/pronunciation-dictionaries/:pronunciation_dictionary_id/remove-rules
$curl -X POST https://api.elevenlabs.io/v1/pronunciation-dictionaries/pronunciation_dictionary_id/remove-rules \
> -H "Content-Type: application/json" \
> -d '{
> "rule_strings": [
> "['\''a'\'', '\''b'\'']"
> ]
>}'
1{
2 "id": "5xM3yVvZQKV0EfqQpLrJ",
3 "version_id": "5xM3yVvZQKV0EfqQpLr2",
4 "version_rules_num": 5
5}
Remove rules from the pronunciation dictionary
Was this page helpful?
Previous

Create audio native project

Next
Built with

Path parameters

pronunciation_dictionary_idstringRequired
The id of the pronunciation dictionary

Headers

xi-api-keystringOptional

Request

This endpoint expects an object.
rule_stringslist of stringsRequired
List of strings to remove from the pronunciation dictionary.

Response

Successful Response
idstring
The ID of the pronunciation dictionary.
version_idstring
The version ID of the pronunciation dictionary.
version_rules_numinteger
The number of rules in the version of the pronunciation dictionary.

Errors

422
Unprocessable Entity Error